package com.fzm.mall.server.admin.config;

import com.fzm.mall.server.admin.pay.WeiXinProties;
import lombok.Data;
import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
public class WeChatPayConfig {

    //应用ID
    @Getter
    private String appId = WeiXinProties.getAPP_ID();

    //商户号
    @Getter
    private String mchId = WeiXinProties.getMERC_ID();

    //商户私钥
    @Getter
    private String privateKey = WeiXinProties.getPRIVATE_KEY();

    //商户证书序列号
    @Getter
    private String mchSerialNo = WeiXinProties.getSERIAL_NO();

    //API-V3秘钥
    @Getter
    private String apiV3Key = WeiXinProties.getAPIV3_KEY();

    //支付结果通知地址
    @Getter
    private String notifyUrl = WeiXinProties.getNOTIFY_URL();

    /**
     * 平台-微信账号
     */
    @Getter
    private String platAccount;

    @Getter
    private String certUrl = WeiXinProties.getCERT_URL();

    @Getter
    private String refundNotifyUrl = WeiXinProties.getREFUND_NOTIFY_URL();
}
